/*
 * Member API
 *
 * Member API routes and contracts.
 *
 * The version of the OpenAPI document: 1.0.0
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct BookTransferRequest {
    #[serde(rename = "amount")]
    pub amount: String,
    #[serde(rename = "description", skip_serializing_if = "Option::is_none")]
    pub description: Option<String>,
    #[serde(rename = "from_account_id")]
    pub from_account_id: String,
    #[serde(rename = "to_account_id")]
    pub to_account_id: String,
    #[serde(rename = "userdata")]
    pub userdata: Box<crate::models::BookTransferRequestUserdata>,
}

impl BookTransferRequest {
    pub fn new(
        amount: String,
        from_account_id: String,
        to_account_id: String,
        userdata: crate::models::BookTransferRequestUserdata,
    ) -> BookTransferRequest {
        BookTransferRequest {
            amount,
            description: None,
            from_account_id,
            to_account_id,
            userdata: Box::new(userdata),
        }
    }
}
